aboutsummaryrefslogtreecommitdiffstats
path: root/debian/plptools.postinst
diff options
context:
space:
mode:
authorFritz Elfert <felfert@to.com>2002-07-14 02:54:13 +0000
committerFritz Elfert <felfert@to.com>2002-07-14 02:54:13 +0000
commit000a4885669921b160ba31328fb43842fcd3c6e1 (patch)
treeb3e32ca0ca37c5d3feff0a4edfa785b2d2f9cf39 /debian/plptools.postinst
parent94469aaba04a168f95a42df27476e1c3a98f0799 (diff)
downloadplptools-000a4885669921b160ba31328fb43842fcd3c6e1.tar.gz
plptools-000a4885669921b160ba31328fb43842fcd3c6e1.tar.bz2
plptools-000a4885669921b160ba31328fb43842fcd3c6e1.zip
- Debian packaging based on John's package of plptools-0.10
Diffstat (limited to 'debian/plptools.postinst')
-rw-r--r--debian/plptools.postinst48
1 files changed, 48 insertions, 0 deletions
diff --git a/debian/plptools.postinst b/debian/plptools.postinst
new file mode 100644
index 0000000..5e36acb
--- /dev/null
+++ b/debian/plptools.postinst
@@ -0,0 +1,48 @@
+#! /bin/sh
+# postinst script for plptools
+#
+# see: dh_installdeb(1)
+
+set -e
+
+# summary of how this script can be called:
+# * <postinst> `configure' <most-recently-configured-version>
+# * <old-postinst> `abort-upgrade' <new version>
+# * <conflictor's-postinst> `abort-remove' `in-favour' <package>
+# <new-version>
+# * <deconfigured's-postinst> `abort-deconfigure' `in-favour'
+# <failed-install-package> <version> `removing'
+# <conflicting-package> <version>
+# for details, see /usr/share/doc/packaging-manual/
+#
+# quoting from the policy:
+# Any necessary prompting should almost always be confined to the
+# post-installation script, and should be protected with a conditional
+# so that unnecessary prompting doesn't happen if a package's
+# installation fails and the `postinst' is called with `abort-upgrade',
+# `abort-remove' or `abort-deconfigure'.
+
+case "$1" in
+ configure)
+ /sbin/ldconfig
+
+ ;;
+
+ abort-upgrade|abort-remove|abort-deconfigure)
+
+ ;;
+
+ *)
+ echo "postinst called with unknown argument \`$1'" >&2
+ exit 0
+ ;;
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0
+
+